%define upstream_name    HTML-Display
%define upstream_version 0.40

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Use an OLE object to display HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTML::TokeParser::Simple)
BuildRequires: perl(LWP)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(URI::URL)
BuildRequires: perl(parent)
BuildArch: noarch


%description
This module abstracts the task of displaying HTML to the user. The
displaying is done by launching a browser and navigating it to either a
temporary file with the HTML stored in it, or, if possible, by pushing the
HTML directly into the browser window.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/HTML

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.400.0-10.mga10
+ Revision: 2211907
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.400.0-9.mga9
+ Revision: 1830646
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.400.0-8.mga8
+ Revision: 1494845
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.400.0-7.mga7
+ Revision: 1268479
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.400.0-6.mga6
+ Revision: 1028212
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.400.0-5.mga6
+ Revision: 947539
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.400.0-4.mga5
+ Revision: 739815
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.400.0-3.mga5
+ Revision: 684928
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.400.0-2.mga4
+ Revision: 537212
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.400.0-1.mga4
+ Revision: 486580
- update to 0.40

* Sun Jan 13 2013 umeabot <umeabot> 0.390.0-2.mga3
+ Revision: 367987
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.390.0-1.mga1
+ Revision: 32046
- mageia rebuild
- imported package perl-HTML-Display


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.390.0-1mdv2010.0
+ Revision: 402139
- rebuild using %%perl_convert_version

* Sun Jan 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.39-1mdv2009.1
+ Revision: 333472
- import perl-HTML-Display


* Sun Jan 25 2009 cpan2dist 0.39-1mdv
- initial mdv release, generated with cpan2dist

